package digital.laboratory.platform.reagent.dto;

import digital.laboratory.platform.reagent.entity.ProvideServicesOrSupplies;
import digital.laboratory.platform.reagent.mapper.ProvideServicesOrSuppliesMapper;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class
EvaluationFormDTO {

    @ApiModelProperty(value = "(联系电话)")
    private String contactNumber;

    @ApiModelProperty(value = "(联系人)")
    private String contactPerson;

    @ApiModelProperty(value = "(供应商营业执照)")
    private String supplierBusinessLicense;

    @ApiModelProperty(value = "(供应商通过质量保证体系)")
    private String supplierPassesQualityAssuranceSystem;

    @ApiModelProperty(value = "(供应商产品认证)")
    private String supplierProductCertification;

    @ApiModelProperty(value = "(对供应品检验校准效率)")
    private String checkAndCalibrateEfficiencyOfSupplies;

    @ApiModelProperty(value = "(对供应商总体服务是否满意)")
    private String overallSupplierServiceSatisfaction;

    @ApiModelProperty(value = "(供应商态度)")
    private String supplierAttitude;

    @ApiModelProperty(value = "(供应商设备与设施)")
    private String supplierEquipmentAndFacilities;

    @ApiModelProperty(value = "(供应商技术与管理能力)")
    private String supplierTechnologyAndManagementCapability;

    @ApiModelProperty(value = "(供应商交货是否及时)")
    private String whetherTheSupplierDeliversOnTime;

    @ApiModelProperty(value = "(供应商ID")
    private String supplierInformationId;

    @ApiModelProperty(value = "(一级评价意见//该意见为当前登录用户的评价意见，不同于审核)")
    private String commentsFromPrimary;

    @ApiModelProperty(value = "供应商评价表ID")
    private String evaluationFormId;


}
