package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-23 11:47:25
 * @describe  实体类
 */
@Data
@TableName(value = "disqualification_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class DisqualificationForm extends BaseEntity {

    /**
     * reagentConsumableId
     */
    @ApiModelProperty(value="reagentConsumableId")
    private String reagentConsumableId;

    /**
     * complianceCheckId
     */
    @ApiModelProperty(value="符合性检查记录表")
    private String complianceCheckId;


    /**
     * disqualificationFormId
     */
    @TableId(value = "disqualification_form_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="disqualificationFormId")
    private String disqualificationFormId;


}
