package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.StandardReserveSolution;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
@Data
public class StandardReserveSolutionVO extends StandardReserveSolution {

    @ApiModelProperty(value="(配制人名称)")
    private String dispenserName;
    @ApiModelProperty(value="(标准储备溶液使用记录表集合)")

    private List<SolutionUseFormVO> solutionUseFormVOList;

    private String location;

    @ApiModelProperty(value = "存储期限")
    private Integer storageLife;

    private String latticeId;
}
