package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.CabinetForm;
import digital.laboratory.platform.reagent.vo.CabinetFormVO;
import org.springframework.transaction.annotation.Transactional;

/**
 * 服务类
 *
 * @author Zhang Xiaolong created at  2023-03-22
 * @describe  服务类
 */
public interface CabinetFormService extends IService<CabinetForm> {

    CabinetForm addById(CabinetForm cabinetForm);

    CabinetForm editById(CabinetForm cabinetForm);

    CabinetFormVO getFormById(String id);

    Boolean delById(String id);
}
