package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.vo.ReferenceMaterialVO;
import digital.laboratory.platform.reagent.vo.StandardSolutionCurveVO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 服务类
 *
 * @author Zhang Xiaolong created at  2023-03-23
 * @describe  服务类
 */
public interface ReferenceMaterialService extends IService<ReferenceMaterial> {

    List<ReferenceMaterialVO> getReferenceMaterialVOList(String batchDetailsId);

    List<ReferenceMaterialVO> getReferenceMaterialList();
}
